Description

I've noticed that a stream takes unusually long to resume after a system restart while Audacious was playing in the background.

To reproduce, play a stream (f.i. http://nature.radio.mynoise.net) and restart your system. The next time Audacious opens, it can take

up to several minutes before the stream continues playing. But if Audacious is closed normally, then the stream continues as

expected within seconds after launching Audacious.

Happens on Ubuntu 19.04.

History

#1 - December 08, 2019 14:58 - John Lindgren

I can't reproduce.  Please attach the log from "audacious -V" when it takes a long time to restart.

#2 - December 13, 2019 12:58 - sojus nik

Played a bit around and realized that resuming also takes long, when there is a longer break, tested it from 20 seconds to 10 minutes, between a

normal Audacious shutdown and upon reopening. If the break is shorter approximately 20 seconds, then resuming a stream at the start of Audacious

takes several seconds, otherwise it takes 1 or 1½ minutes on average.

This log occurred after Audacious was playing a stream in the background while Ubuntu was restarted. I've launched Audacious after the desktop has

fully loaded. The stream resumed around 1 minute after Audacious was opened.

$ audacious -V

INFO dbus-server.cc:849 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

INFO main.cc:375 [main]: No remote session; starting up.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790c3d10> buffering enabled for /home/sojusnik/.config/audacious

/config

INFO vfs.cc:105 [VFSFile]: <0x55ac790c3d10> open (mode r) /home/sojusnik/.config/audacious/config

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/

neon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/

gio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/

mms.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

asx3.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

cue.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

xspf.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

audpl.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

asx.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

m3u.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

pls.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/sid.

so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/aac-

raw.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/metr
onom.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/xsf.

so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/ffau

dio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/vtx.

so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/vorb

is.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/madp

lug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cdau

dio-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/psf2

.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/modp

lug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/flac

ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cons

ole.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/wavp

ack.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/amid

i-plug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/tone

gen.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/sndf

ile.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/pul

se_audio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/snd

io-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/jac

k-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/sdl

out.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/als

a.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/fil

ewriter.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/oss

4.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/ste

reo.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/sox

-resampler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/mix

er.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/cry

stalizer.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/res

ample.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/ech

o.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/com

pressor.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/lad

spa.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/sil

ence-removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/spe

ed-pitch.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/voi

ce_removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/bs2

b.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/cro

ssfade.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/ao

sd.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gt

kui.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/pl

aylist-manager.so
INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/no

tify.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/li

rc.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/so

ng_change.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/sk

ins.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/mp

ris2.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/sc

robbler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/al

bumart.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/se

arch-tool.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/cd

-menu-items.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/ho

tkey.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/ly

ricwiki.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/al

arm.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/de

lete-files.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/st

atusicon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualizat

ion/gl-spectrum.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualizat

ion/blur_scope.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualizat

ion/cairo-spectrum.so

INFO plugin-init.cc:177 [start_plugins]: Starting Crossfade.

INFO plugin-init.cc:126 [start_required]: Starting selected output plugin PulseAudio Ausgabe.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/pulse_audio.s

o.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790eff70> buffering enabled for /home/sojusnik/.config/audacious

/playlists/order

INFO vfs.cc:105 [VFSFile]: <0x55ac790eff70> open (mode r) /home/sojusnik/.config/audacious/playlists/order

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1001.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/audpl.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790f24b0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1001.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac790f24b0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

01.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1007.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790f2680> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1007.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac790f2680> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

07.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1002.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790e0b10> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1002.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac790e0b10> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

02.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1008.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790ede80> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1008.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac790ede80> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

08.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1009.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac790e44e0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1009.audpl
INFO vfs.cc:105 [VFSFile]: <0x55ac790e44e0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

09.audpl

INFO probe-buffer.cc:54 [release_buffer]: <0x55ac790e44e0> buffering disabled for file:///home/sojusnik/.confi

g/audacious/playlists/1009.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1011.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac7918ac20> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1011.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac7918ac20> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

11.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1003.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac791db0f0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1003.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac791db0f0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

03.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1006.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac791aee60> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1006.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac791aee60> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

06.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1012.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac791be510> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1012.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac791be510> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

12.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1005.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac791c9060> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1005.audpl

INFO vfs.cc:105 [VFSFile]: <0x55ac791c9060> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

05.audpl

INFO plugin-init.cc:177 [start_plugins]: Starting Audio-CD Menüeinträge.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/cd-menu-item

s.so.

INFO probe.cc:88 [aud_file_find_decoder]: Probing http://nature.radio.mynoise.net.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/neon.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Globale Tastenkürzel.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/hotkey.so.

Gtk-Message: 13:14:50.917: Failed to load module "canberra-gtk-module" 

INFO plugin-init.cc:177 [start_plugins]: Starting MPRIS 2 Server.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/mpris2.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Status-Icon.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/statusicon.s

o.

INFO plugin-init.cc:126 [start_required]: Starting selected interface plugin GTK Interface.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gtkui.so.

INFO interface.cc:68 [interface_load]: Loading GTK Interface.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x7f08d4069fa0> buffering enabled for http://nature.radio.mynoise.net

INFO vfs.cc:105 [VFSFile]: <0x7f08d4069fa0> open (mode r) http://nature.radio.mynoise.net

INFO probe.cc:155 [aud_file_find_decoder]: Trying 2SF Dekodierer.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/xsf.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying AAC (Raw) Dekodierer.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/aac-raw.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying AMIDI-Plug (MIDI-Spieler).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/amidi-plug.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying Audio-CD Plugin.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cdaudio-ng.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying ModPlug (Modulspieler).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/modplug.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying MPG123 Plugin.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/madplug.so.

INFO probe.cc:163 [aud_file_find_decoder]: Matched MPG123 Plugin by content.

INFO effect.cc:63 [effect_start]: Starting Crossfade at 2 channels, 44100 Hz.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/crossfade.so.

INFO output.cc:182 [setup_output]: Setup output, format 0, 2 channels, 44100 Hz.

INFO probe-buffer.cc:54 [release_buffer]: <0x7f08d4069fa0> buffering disabled for http://nature.radio.mynoise.

net
### closing Audacious here ###

INFO interface.cc:85 [interface_unload]: Unloading GTK Interface.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Audio-CD Menüeinträge.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Globale Tastenkürzel.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down MPRIS 2 Server.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Status-Icon.

INFO playlist-files.cc:128 [save_to_file]: Saving playlist file:///home/sojusnik/.config/audacious/playlists/1

001.audpl.

INFO vfs.cc:105 [VFSFile]: <0x55ac793a62c0> open (mode w) file:///home/sojusnik/.config/audacious/playlists/10

01.audpl

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55ac794d0ae0> buffering enabled for /home/sojusnik/.config/audacious

/playlists/order

INFO vfs.cc:105 [VFSFile]: <0x55ac794d0ae0> open (mode r) /home/sojusnik/.config/audacious/playlists/order

INFO plugin-init.cc:207 [stop_plugins]: Shutting down PulseAudio Ausgabe.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Crossfade.

INFO vfs.cc:105 [VFSFile]: <0x55ac793bcac0> open (mode w) /home/sojusnik/.config/audacious/config

 

For the following log I've waited 10 minutes after I have closed Audacious (without restarting Ubuntu). This time the stream resumed after 1½

minutes.

$ audacious -V

INFO dbus-server.cc:849 [name_acquired]: Owned D-Bus name (org.atheme.audacious) on session bus.

INFO main.cc:375 [main]: No remote session; starting up.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd6e830> buffering enabled for /home/sojusnik/.config/audacious

/config

INFO vfs.cc:105 [VFSFile]: <0x55b87bd6e830> open (mode r) /home/sojusnik/.config/audacious/config

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/

neon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/

gio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/

mms.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

asx3.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

cue.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

xspf.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

audpl.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

asx.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

m3u.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/

pls.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/sid.

so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/aac-

raw.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/metr

onom.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/xsf.

so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/ffau

dio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/vtx.

so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/vorb

is.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/madp

lug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cdau

dio-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/psf2

.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/modp

lug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/flac

ng.so
INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cons

ole.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/wavp

ack.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/amid

i-plug.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/tone

gen.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/sndf

ile.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/pul

se_audio.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/snd

io-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/jac

k-ng.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/sdl

out.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/als

a.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/fil

ewriter.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/oss

4.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/ste

reo.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/sox

-resampler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/mix

er.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/cry

stalizer.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/res

ample.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/ech

o.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/com

pressor.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/lad

spa.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/sil

ence-removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/spe

ed-pitch.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/voi

ce_removal.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/bs2

b.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/cro

ssfade.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/ao

sd.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gt

kui.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/pl

aylist-manager.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/no

tify.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/li

rc.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/so

ng_change.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/sk

ins.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/mp

ris2.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/sc

robbler.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/al

bumart.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/se

arch-tool.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/cd

-menu-items.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/ho
tkey.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/ly

ricwiki.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/al

arm.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/de

lete-files.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/General/st

atusicon.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualizat

ion/gl-spectrum.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualizat

ion/blur_scope.so

INFO plugin-registry.cc:555 [plugin_register]: Register plugin: /usr/lib/x86_64-linux-gnu/audacious/Visualizat

ion/cairo-spectrum.so

INFO plugin-init.cc:177 [start_plugins]: Starting Crossfade.

INFO plugin-init.cc:126 [start_required]: Starting selected output plugin PulseAudio Ausgabe.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Output/pulse_audio.s

o.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd9a920> buffering enabled for /home/sojusnik/.config/audacious

/playlists/order

INFO vfs.cc:105 [VFSFile]: <0x55b87bd9a920> open (mode r) /home/sojusnik/.config/audacious/playlists/order

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1001.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Container/audpl.so.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd9ce60> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1001.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87bd9ce60> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

01.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1007.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd9d000> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1007.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87bd9d000> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

07.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1002.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd8b4a0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1002.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87bd8b4a0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

02.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1008.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd98830> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1008.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87bd98830> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

08.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1009.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bd8ed80> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1009.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87bd8ed80> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

09.audpl

INFO probe-buffer.cc:54 [release_buffer]: <0x55b87bd8ed80> buffering disabled for file:///home/sojusnik/.confi

g/audacious/playlists/1009.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1011.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87be34b40> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1011.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87be34b40> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

11.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1003.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87be855f0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1003.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87be855f0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

03.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/
1006.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87be593e0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1006.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87be593e0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

06.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1012.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87be68880> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1012.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87be68880> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

12.audpl

INFO playlist-files.cc:47 [playlist_load]: Loading playlist file:///home/sojusnik/.config/audacious/playlists/

1005.audpl.

INFO playlist-files.cc:59 [playlist_load]: Trying playlist plugin Audacious Wiedergabelisten (audpl).

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87be736c0> buffering enabled for file:///home/sojusnik/.config/au

dacious/playlists/1005.audpl

INFO vfs.cc:105 [VFSFile]: <0x55b87be736c0> open (mode r) file:///home/sojusnik/.config/audacious/playlists/10

05.audpl

INFO plugin-init.cc:177 [start_plugins]: Starting Audio-CD Menüeinträge.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/cd-menu-item

s.so.

INFO probe.cc:88 [aud_file_find_decoder]: Probing http://nature.radio.mynoise.net.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Transport/neon.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Globale Tastenkürzel.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/hotkey.so.

Gtk-Message: 13:28:26.312: Failed to load module "canberra-gtk-module" 

INFO plugin-init.cc:177 [start_plugins]: Starting MPRIS 2 Server.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/mpris2.so.

INFO plugin-init.cc:177 [start_plugins]: Starting Status-Icon.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/statusicon.s

o.

INFO plugin-init.cc:126 [start_required]: Starting selected interface plugin GTK Interface.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/General/gtkui.so.

INFO interface.cc:68 [interface_load]: Loading GTK Interface.

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x7f1b64069fa0> buffering enabled for http://nature.radio.mynoise.net

INFO vfs.cc:105 [VFSFile]: <0x7f1b64069fa0> open (mode r) http://nature.radio.mynoise.net

INFO probe.cc:155 [aud_file_find_decoder]: Trying 2SF Dekodierer.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/xsf.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying AAC (Raw) Dekodierer.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/aac-raw.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying AMIDI-Plug (MIDI-Spieler).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/amidi-plug.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying Audio-CD Plugin.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/cdaudio-ng.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying ModPlug (Modulspieler).

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/modplug.so.

INFO probe.cc:155 [aud_file_find_decoder]: Trying MPG123 Plugin.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Input/madplug.so.

INFO probe.cc:163 [aud_file_find_decoder]: Matched MPG123 Plugin by content.

INFO effect.cc:63 [effect_start]: Starting Crossfade at 2 channels, 44100 Hz.

INFO plugin-load.cc:66 [plugin_load]: Loading plugin: /usr/lib/x86_64-linux-gnu/audacious/Effect/crossfade.so.

INFO output.cc:182 [setup_output]: Setup output, format 0, 2 channels, 44100 Hz.

INFO probe-buffer.cc:54 [release_buffer]: <0x7f1b64069fa0> buffering disabled for http://nature.radio.mynoise.

net

### closing Audacious here ###

INFO interface.cc:85 [interface_unload]: Unloading GTK Interface.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Audio-CD Menüeinträge.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Globale Tastenkürzel.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down MPRIS 2 Server.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Status-Icon.

INFO playlist-files.cc:128 [save_to_file]: Saving playlist file:///home/sojusnik/.config/audacious/playlists/1

001.audpl.

INFO vfs.cc:105 [VFSFile]: <0x55b87c003300> open (mode w) file:///home/sojusnik/.config/audacious/playlists/10

01.audpl

INFO probe-buffer.cc:31 [ProbeBuffer]: <0x55b87bf05a30> buffering enabled for /home/sojusnik/.config/audacious

/playlists/order

INFO vfs.cc:105 [VFSFile]: <0x55b87bf05a30> open (mode r) /home/sojusnik/.config/audacious/playlists/order

INFO plugin-init.cc:207 [stop_plugins]: Shutting down PulseAudio Ausgabe.

INFO plugin-init.cc:222 [stop_plugins]: Shutting down Crossfade.

INFO vfs.cc:105 [VFSFile]: <0x55b87c20e990> open (mode w) /home/sojusnik/.config/audacious/config
#3 - December 13, 2019 16:01 - John Lindgren

I don't see anything abnormal in your logs.  Can you try changing a few settings to see if any of them helps the stream to start faster?

1. Disable crossfade

2. Under Audio -> Output Settings, make sure the buffer size is set to no more than 500 ms

3. Under Plugins -> Input -> MPG123 Plugin -> Advanced, make sure that "Use accurate length calculation (slow)" is unchecked

Also, is it possible for you to install 4.0-beta1 to see if it is any better?

I'll wait for you to report back, and we'll go from there.

#4 - January 14, 2020 17:48 - John Lindgren

- Status changed from New to Closed

- Tracker changed from Bug to Support

Closing due to lack of response.
